Package com.usatiuk.dhfs.peersync

# Class PeerInfoService

java.lang.Object
com.usatiuk.dhfs.peersync.PeerInfoService

@ApplicationScoped public class PeerInfoService extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final JObjectKey`
`TREE_KEY`

## Constructor Summary

Constructors
Constructor
Description
`PeerInfoService()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`existsPeer(PeerId peer)`
`Optional<PeerInfo>`
`getPeerInfo(PeerId peer)`
`Optional<PeerInfo>`
`getPeerInfoImpl(JObjectKey key)`
`List<PeerInfo>`
`getPeers()`
`List<PeerInfo>`
`getPeersNoSelf()`
`List<PeerInfo>`
`getSynchronizedPeers()`
`List<PeerInfo>`
`getSynchronizedPeersNoSelf()`
`void`
`putPeer(PeerId id, byte[] cert)`
`void`
`removePeer(PeerId id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TREE_KEY

public static final JObjectKey TREE_KEY

## Constructor Details

### PeerInfoService

public PeerInfoService()

## Method Details

### getPeerInfoImpl

public Optional<PeerInfo> getPeerInfoImpl(JObjectKey key)

### existsPeer

public boolean existsPeer(PeerId peer)

### getPeerInfo

public Optional<PeerInfo> getPeerInfo(PeerId peer)

### getPeers

public List<PeerInfo> getPeers()

### getPeersNoSelf

public List<PeerInfo> getPeersNoSelf()

### getSynchronizedPeers

public List<PeerInfo> getSynchronizedPeers()

### getSynchronizedPeersNoSelf

public List<PeerInfo> getSynchronizedPeersNoSelf()

### putPeer

public void putPeer(PeerId id, byte[] cert)

### removePeer

public void removePeer(PeerId id)